> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.getkard.com/2024-10-01/api/organizations/content-strategies/get/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.getkard.com/_mcp/server. # Get GET https://rewards-api.getkard.com/v2/issuers/{organizationId}/contentStrategies/{contentStrategyId} Retrieve a specific content strategy Reference: https://docs.getkard.com/api/organizations/content-strategies/get ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Servers - `https://rewards-api.getkard.com` (Production, default) - `https://test-rewards-api.getkard.com` (Sandbox) ## Request ### Path parameters - `organizationId` (string, required) — Unique identifier of the organization - `contentStrategyId` (string, required) — Unique identifier of the content strategy (UUID v7) ## Response ### 200 Content strategy resource - `type` ("contentStrategy", required) - `id` (string, required) — Unique identifier of the content strategy (UUID v7) - `attributes` (ContentStrategyAttributes, required) — Attributes for a content strategy ## Errors ### 401 Unauthorized Error - `errors` (list of ErrorObject, required) ### 403 Forbidden Error - `errors` (list of ErrorObject, required) ### 404 Does Not Exist Error - `errors` (list of ErrorObject, required) ### 500 Internal Server Error - `errors` (list of ErrorObject, required) ## Types ### ContentStrategyAttributes Attributes for a content strategy - `name` (string, required) — Name of the content strategy (unique within an organization) - `organizationId` (string, required) — ID of the organization this content strategy belongs to - `filters` (ContentStrategyFilters, required) — Filters applied when selecting offers for the strategy - `categories` (list of enum, required) — Merchant categories to include - Allowed values: `Arts & Entertainment`, `Baby, Kids & Toys`, `Books & Digital Media`, `Clothing, Shoes & Accessories`, `Computers, Electronics & Software`, `Convenience`, `Gas`, `Department Stores`, `Food & Beverage`, `Health & Beauty`, `Home & Garden`, `Miscellaneous`, `Occasions & Gifts`, `Pets`, `Sports & Outdoors`, `Supplies & Services`, `Travel` - `categoryExclusions` (list of enum, required) — Merchant categories to exclude - Allowed values: `Arts & Entertainment`, `Baby, Kids & Toys`, `Books & Digital Media`, `Clothing, Shoes & Accessories`, `Computers, Electronics & Software`, `Convenience`, `Gas`, `Department Stores`, `Food & Beverage`, `Health & Beauty`, `Home & Garden`, `Miscellaneous`, `Occasions & Gifts`, `Pets`, `Sports & Outdoors`, `Supplies & Services`, `Travel` - `merchantExclusions` (list of string, required) — Merchant IDs to exclude - `sort` (enum, optional) — Sort applied when selecting offers for the strategy - Allowed values: `NEWLY_LIVE`, `EXPIRING_SOON`, `HIGHEST_CASHBACK`, `PERSONALIZED`, `OFFERS_NEAR_YOU` ### ErrorObject - `status` (string, required) — Status code returned from the request - `title` (string, required) — Name of error - `detail` (string, required) — Description of the specific occurance of the error - `source` (ErrorSource, optional) — An object containing a reference to the primary source of the error - `id` (string, optional) — The id of the resource which caused the error. Always returned for multi-status errors. ### ContentStrategyFilters Filters applied when selecting offers for a content strategy - `categories` (list of string, optional) — Merchant categories to include - `categoryExclusions` (list of string, optional) — Merchant categories to exclude - `merchantExclusions` (list of string, optional) — Merchant IDs to exclude - `offerFeatures` (list of enum, optional) — Offer features to filter by - Allowed values: `INTERACTIVE` ### ErrorSource - `pointer` (string, optional) — A JSON pointer to the value in the request document that caused the error - `parameter` (string, optional) — A string indicating which URI query parameter caused the error - `header` (string, optional) — A string indicating the name of a single request header which caused the error ## Examples **Response** ```json { "type": "contentStrategy", "id": "id", "attributes": { "name": "name", "organizationId": "organizationId", "filters": { "categories": [ "categories", "categories" ], "categoryExclusions": [ "categoryExclusions", "categoryExclusions" ], "merchantExclusions": [ "merchantExclusions", "merchantExclusions" ], "offerFeatures": [ "INTERACTIVE", "INTERACTIVE" ] }, "categories": [ "Arts & Entertainment", "Arts & Entertainment" ], "categoryExclusions": [ "Arts & Entertainment", "Arts & Entertainment" ], "merchantExclusions": [ "merchantExclusions", "merchantExclusions" ], "sort": "NEWLY_LIVE" } } ``` **SDK Code** ```python import requests url = "https://rewards-api.getkard.com/v2/issuers/organizationId/contentStrategies/contentStrategyId" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://rewards-api.getkard.com/v2/issuers/organizationId/contentStrategies/contentStrategyId'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://rewards-api.getkard.com/v2/issuers/organizationId/contentStrategies/contentStrategyId" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://rewards-api.getkard.com/v2/issuers/organizationId/contentStrategies/contentStrategyId") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://rewards-api.getkard.com/v2/issuers/organizationId/contentStrategies/contentStrategyId") .header("Authorization", "Bearer ") .asString(); ``` ```php request('GET', 'https://rewards-api.getkard.com/v2/issuers/organizationId/contentStrategies/contentStrategyId', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://rewards-api.getkard.com/v2/issuers/organizationId/contentStrategies/contentStrategyId"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://rewards-api.getkard.com/v2/issuers/organizationId/contentStrategies/contentStrategyId")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```